{
        "name" : "IBMWatsonClassifyImage",
        "displayName" : "IBMWatsonClassifyImage",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.ibm.watson.ClassifyImageWorkitemHandler(\"apiKey\")",
        "documentation" : "ibm-watson-workitem/index.html",
        "module" : "ibm-watson-workitem",
        "icon" : "IBMWatsonClassifyImage.png",
            "category" : "IBM Watson",
            "description" : "Classify image and detect faces in image via IBM Watson",
            "keywords" : [
                                "ibm"
                ,"watson"
                ,"image"
                ,"classify"

            ],
                "isaction" : "true",
                "actiontitle" : "Classify an image using IBM Watson",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "IBM Watson api key"
                                           }

                ],
                "authreferencesite" : "https://www.ibm.com/watson/developercloud/doc/virtual-agent/api-keys.html",
            "parameters" : [
                                   {
                                       "name" : "ImageToClassify",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "Classification",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "ibm-watson-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "IBMWatsonDetectFaces",
        "displayName" : "IBMWatsonDetectFaces",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.ibm.watson.DetectFacesWorkitemHandler(\"apiKey\")",
        "documentation" : "ibm-watson-workitem/index.html",
        "module" : "ibm-watson-workitem",
        "icon" : "IBMWatsonDetectFaces.png",
            "category" : "IBM Watson",
            "description" : "Classify image and detect faces in image via IBM Watson",
            "keywords" : [
                                "ibm"
                ,"watson"
                ,"image"
                ,"detect"
                ,"face"
                ,"faces"

            ],
                "isaction" : "true",
                "actiontitle" : "Detect faces in an image using IBM Watson",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "IBM Watson api key"
                                           }

                ],
                "authreferencesite" : "https://www.ibm.com/watson/developercloud/doc/virtual-agent/api-keys.html",
            "parameters" : [
                                   {
                                       "name" : "ImageToDetect",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "results" : [
                                   {
                                       "name" : "Detection",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "ibm-watson-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}

,
